public static interface StreamEndpointBuilderFactory.StreamBuilders
| Modifier and Type | Method and Description |
|---|---|
default StreamEndpointBuilderFactory.StreamEndpointBuilder |
stream(String path)
Stream (camel-stream)
Read from system-in and write to system-out and system-err streams.
|
default StreamEndpointBuilderFactory.StreamEndpointBuilder |
stream(String componentName,
String path)
Stream (camel-stream)
Read from system-in and write to system-out and system-err streams.
|
default StreamEndpointBuilderFactory.StreamEndpointBuilder stream(String path)
stream:kind
Path parameter: kind (required)
Kind of stream to use such as System.in or System.out.
There are 5 enums and the value can be one of: in, out, err, header,
filepath - kinddefault StreamEndpointBuilderFactory.StreamEndpointBuilder stream(String componentName, String path)
stream:kind
Path parameter: kind (required)
Kind of stream to use such as System.in or System.out.
There are 5 enums and the value can be one of: in, out, err, header,
filecomponentName - to use a custom component name for the endpoint
instead of the default namepath - kindApache Camel